Bug 1262476 - if firewalld is restarted (either manually, or due to a package update), fail2ban will stop working
if firewalld is restarted (either manually, or due to a package update), fail...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fail2ban (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 16:19 EDT by Andy Wang
Modified: 2016-07-19 13:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:51:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Wang 2015-09-11 16:19:06 EDT
Description of problem:
fail2ban creates this rule at startup when configured for firewalld:
REJECT     tcp  --  any    any     anywhere             anywhere             multiport dports ssh match-set fail2ban-default src reject-with icmp-port-unreachable

If firewalld is restarted (manually, or as a result of a package update), this rule is not recreated until the next time fail2ban is restarted.  fail2ban  will continue to detect and attempt to ban access by adding to the ipset based on the jail rules, but this will do nothing as iptables no longer has the match-set rule.

Unfortunately this "silently compromises its security" (borrowed that phrase from another bug report.
Comment 1 Orion Poplawski 2015-09-11 16:47:57 EDT
I'll just note that this needs to be dealt with upstream - https://github.com/fail2ban/fail2ban/issues
Comment 2 Fedora Update System 2016-03-09 16:38:19 EST
fail2ban-0.9.4-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10b5fefb0d
Comment 3 Fedora Update System 2016-03-10 11:51:24 EST
fail2ban-0.9.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10b5fefb0d
Comment 4 Fedora End Of Life 2016-07-19 13:51:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.